Subject: Re: Gaussian98w and SMP processing

From: "Slawomir Z. Janicki" <[email-masked]>
Date: Thu, 2 Mar 2000 16:12:58 -0600

The wall clock time may be actually longer when using the SMP system. The OS
will assign the computationally intensive thread to the least busy CPU which
can result in bouncing the thread between CPUs. That will cause the loss of
cache coherency and excessive use of slower system RAM. You can watch that
in Task Manager where the plots for CPU usage will oscilate in antiphase
every 2-3s.

Slawomir Janicki
[email-masked]

-----Original Message-----
From: Computational Chemistry List [mailto:[email-masked]] On
Behalf Of Laurence Lavelle
Sent: Thursday, March 02, 2000 3:31 PM
To: Armando Navarro; [email-masked]
Subject: CCL:Gaussian98w and SMP processing

G98W does not use SMP. What your seeing is the OS using one CPU for all
system management and G98W running on the other. My guess is about 20% CPU1
and 100% CPU2 respectively.

Yes, it would be nice if G98W ran in SMP mode.

Hope that helps.

At 07:34 PM 03/02/2000 +0100, Armando Navarro wrote:

>Dear members:
>I have a Dual PentiumII PC and after installing PC-GAMESS I gave to the
>system variable named MKL_NPROC the value 2 in order to run GAMESS in
>SMP parallel mode.
>However I noticed a strange behavior of Gaussian98w after this. The
>program seems to use the two CPU, so I thought that Gaussian was
>effectively running in SMP mode.
>But when I measured the cpu and wall-clock times there was non
>improvement respect to set MKL_NPROC=3D1.
>Has anybody noticed this behavior of Gaussian in Dual Boxes?
>Regards
>Armando Navarro
>Departamento de quimica Organica
>Facultade de quimica
>Universidade de Santiago de Compostela
>Spain
>e-mail: [email-masked]
>
>
>[email-masked] -- To Everybody    |   [email-masked] -- To
>Admins
>
>
>

Laurence

""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""
Laurence Lavelle, Ph.D.
University of California Los Angeles
Department of Chemistry & Biochemistry and Molecular Biology Institute
Laboratory of Structural Biology & Molecular Medicine
Los Angeles, CA 90095-1570, USA

Email:[email-masked]
Phone (Office): (310) 825-2083
Room 3048A Young Hall
Fax: (310) 206-4038
Phone (Lab): (310) 206-8270
Room 269B MBI
http://www.doe-mbi.ucla.edu/people/lavelle/lavelle.html
""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
""""""""""""""""

-= This is automatically added to each message by mailing script =-
[email-masked] -- To Everybody    |   [email-masked] -- To
Admins
[email-masked] -- HELP CHEMISTRY or HELP SEARCH
[email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]